Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_SCTP_SEQ_Acceptor Class Reference

`#include <SCTP_SEQ.h>`

Inheritance diagram for TAO_AV_SCTP_SEQ_Acceptor:

[legend]
Collaboration diagram for TAO_AV_SCTP_SEQ_Acceptor:

[legend]
List of all members.

## Public Methods
| TAO_AV_SCTP_SEQ_Acceptor (void)
virtual | ~TAO_AV_SCTP_SEQ_Acceptor (void)
virtual int | open (TAO_Base_StreamEndPoint *endpoint, TAO_AV_Core *av_core, TAO_FlowSpec_Entry *entry, TAO_AV_Flow_Protocol_Factory *factory, TAO_AV_Core::Flow_Component flow_comp=TAO_AV_Core::TAO_AV_DATA)
virtual int | open_default (TAO_Base_StreamEndPoint *endpoint, TAO_AV_Core *av_core, TAO_FlowSpec_Entry *entry, TAO_AV_Flow_Protocol_Factory *factory, TAO_AV_Core::Flow_Component flow_comp=TAO_AV_Core::TAO_AV_DATA)
virtual int | close (void)
virtual int | make_svc_handler (TAO_AV_SCTP_SEQ_Flow_Handler *&handler)
## Protected Attributes
ACE_INET_Addr * | address_
TAO_AV_SCTP_SEQ_Base_Acceptor | acceptor_
TAO_Base_StreamEndPoint * | endpoint_
TAO_FlowSpec_Entry * | entry_
TAO_AV_Flow_Protocol_Factory * | flow_protocol_factory_

## Constructor & Destructor Documentation

TAO_AV_SCTP_SEQ_Acceptor::TAO_AV_SCTP_SEQ_Acceptor | ( | void |  | ) |

TAO_AV_SCTP_SEQ_Acceptor::~TAO_AV_SCTP_SEQ_Acceptor | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_AV_SCTP_SEQ_Acceptor::close | ( | void |  | ) | `[virtual]`

| Implements TAO_AV_Acceptor.

int TAO_AV_SCTP_SEQ_Acceptor::make_svc_handler | ( | TAO_AV_SCTP_SEQ_Flow_Handler *& | handler | ) | `[virtual]`

int TAO_AV_SCTP_SEQ_Acceptor::open | ( | TAO_Base_StreamEndPoint * | endpoint,
|  | TAO_AV_Core * | av_core,
|  | TAO_FlowSpec_Entry * | entry,
|  | TAO_AV_Flow_Protocol_Factory * | factory,
|  | TAO_AV_Core::Flow_Component | flow_comp = TAO_AV_Core::TAO_AV_DATA
| ) | `[virtual]`

| Implements TAO_AV_Acceptor.

int TAO_AV_SCTP_SEQ_Acceptor::open_default | ( | TAO_Base_StreamEndPoint * | endpoint,
|  | TAO_AV_Core * | av_core,
|  | TAO_FlowSpec_Entry * | entry,
|  | TAO_AV_Flow_Protocol_Factory * | factory,
|  | TAO_AV_Core::Flow_Component | flow_comp = TAO_AV_Core::TAO_AV_DATA
| ) | `[virtual]`

| Implements TAO_AV_Acceptor.

## Member Data Documentation

TAO_AV_SCTP_SEQ_Base_Acceptor TAO_AV_SCTP_SEQ_Acceptor::acceptor_`[protected]`

ACE_INET_Addr* TAO_AV_SCTP_SEQ_Acceptor::address_`[protected]`

| Reimplemented from TAO_AV_Acceptor.

TAO_Base_StreamEndPoint* TAO_AV_SCTP_SEQ_Acceptor::endpoint_`[protected]`

TAO_FlowSpec_Entry* TAO_AV_SCTP_SEQ_Acceptor::entry_`[protected]`

TAO_AV_Flow_Protocol_Factory* TAO_AV_SCTP_SEQ_Acceptor::flow_protocol_factory_`[protected]`

The documentation for this class was generated from the following files:

- SCTP_SEQ.h
- SCTP_SEQ.cpp